// Thread functions for use with syntmono.
//
// Gary P. Scavone, 1999.

#include "Object.h"

#define STRING_LEN 60

/*
#if (defined(__STK_REALTIME_) && defined(__OS_IRIX_) )

void newStringByPipe(void *);
void newStringBySocket(void *);

#elif (defined(__STK_REALTIME_) && defined(__OS_Linux_) )
*/
#if (defined(__STK_REALTIME_) && (defined(__OS_IRIX_) || defined(__OS_Linux_)))

void *newStringByPipe(void *);
void *newStringBySocket(void *);

#elif (defined(__STK_REALTIME_) && defined(__OS_Win_) )

void newStringByPipe(void *);
void newStringBySocket(void *);

#endif

void startPipeThread();
void startSocketThread();

extern "C" unsigned long _beginthread(void*, unsigned int, void*);
extern "C" void _endthread();
